import org.trinitydesktop.qt.*;

public class Tut6 extends TQVBox {
	public Tut6() {
		TQPushButton quit = new TQPushButton("Quit", this, "quit");
		quit.setFont(new TQFont("Times", 18, TQFont.Bold, false));

		connect(quit, SIGNAL("clicked()"), tqApp(), SLOT("quit()"));

		TQGrid grid = new TQGrid(4, this, null, 0);

		for(int c = 0; c < 4; c++)
			for(int r = 0; r < 4; r++)
				new LCDRange(grid);
	}
	
	public static void main(String[] args) {
		TQApplication a = new TQApplication(args);
		Tut6 w = new Tut6();
		
		a.setMainWidget(w);
		w.show();
		a.exec();
		return;
	}
	
	static {
		try {
			Class c = Class.forName("org.trinitydesktop.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
